Debian Bug report logs - #558604
levee: should this package be removed?

version graph

Package: levee; Maintainer for levee is Jari Aalto <jari.aalto@cante.net>; Source for levee is src:levee.

Reported by: Simon McVittie <smcv@debian.org>

Date: Sun, 29 Nov 2009 15:21:02 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Found in version levee/3.5a-1

Fixed in version levee/3.5a-2

Done: Jari Aalto <jari.aalto@cante.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Felipe Augusto van de Wiel (faw) <faw@debian.org>:
Bug#558604; Package levee. (Sun, 29 Nov 2009 15:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Felipe Augusto van de Wiel (faw) <faw@debian.org>. (Sun, 29 Nov 2009 15:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: levee: should this package be removed?
Date: Sun, 29 Nov 2009 15:17:41 +0000
[Message part 1 (text/plain, inline)]
Package: levee
Version: 3.5a-1
Severity: serious
Justification: FTBFS, low popcon (inst=19), numerous alternatives
User: debian-qa@lists.debian.org
Usertags: proposed-removal

levee seems like a possible candidate for removal from Debian:

* RC-buggy (fails to build from source with eglibc, #548965)
* low popcon (19 installations)
* many alternatives exist (we have plenty of vi implementations!)
* essentially unmaintained upstream, as far as I can see

If you want to keep this package around in Debian, please just close this bug,
and do an upload to fix the FTBFS (the patch from Ubuntu provided in
#548965 looks like a reasonable solution).

If you don't think it's worth keeping, please send the following commands
to control@bugs.debian.org, replacing nnnnnn with this bug's number:

severity nnnnnn normal
reassign nnnnnn ftp.debian.org
retitle nnnnnn RM: <packagename> -- RoM; <reasons>
thanks 

For more information, see
http://wiki.debian.org/ftpmaster_Removals
http://ftp-master.debian.org/removals.txt

Regards,
    smcv
    at the Cambridge BSP
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze and sid. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Wed, 13 Jan 2010 14:33:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Felipe Augusto van de Wiel (faw) <faw@debian.org>:
Bug#558604; Package levee. (Tue, 16 Mar 2010 23:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Felipe Augusto van de Wiel (faw) <faw@debian.org>. (Tue, 16 Mar 2010 23:51:03 GMT) Full text and rfc822 format available.

Message #12 received at 558604@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 558604@bugs.debian.org
Subject: Re: levee: should this package be removed?
Date: Wed, 17 Mar 2010 01:49:34 +0200
> RC-buggy (fails to build from source with eglibc, #548965)

Was fixed 2010-03-11

Jari




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Felipe Augusto van de Wiel (faw) <faw@debian.org>:
Bug#558604; Package levee. (Wed, 22 Feb 2012 20:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Felipe Augusto van de Wiel (faw) <faw@debian.org>. (Wed, 22 Feb 2012 20:54:05 GMT) Full text and rfc822 format available.

Message #19 received at 558604@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 558604@bugs.debian.org
Cc: Simon McVittie <smcv@debian.org>, Jari Aalto <jari.aalto@cante.net>
Subject: Why is this bug still open
Date: Wed, 22 Feb 2012 20:52:08 +0000
[Message part 1 (text/plain, inline)]
If the original justification for this bug (#548965) was closed on Sun,
14 Feb 2010, why has the package been allowed to rot without migrating
into wheezy for 712 days?

Does nobody related to this package care that it isn't in testing and
won't get in the release?

If that's the case, just remove the package from Debian unstable and be
done with it.

There is a BSP next weekend (3rd/4th March 2012) and if this bug isn't
closed by then, I will reassign it to ftp.debian.org asking for removal
of the package on the basis that, clearly, nobody cares whether it gets
removed or not.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Reply sent to Jari Aalto <jari.aalto@cante.net>:
You have taken responsibility. (Thu, 23 Feb 2012 23:51:07 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Thu, 23 Feb 2012 23:51:07 GMT) Full text and rfc822 format available.

Message #24 received at 558604-close@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 558604-close@bugs.debian.org
Subject: Bug#558604: fixed in levee 3.5a-2
Date: Thu, 23 Feb 2012 23:48:07 +0000
Source: levee
Source-Version: 3.5a-2

We believe that the bug you reported is fixed in the latest version of
levee, which is due to be installed in the Debian FTP archive:

levee_3.5a-2.debian.tar.gz
  to main/l/levee/levee_3.5a-2.debian.tar.gz
levee_3.5a-2.dsc
  to main/l/levee/levee_3.5a-2.dsc
levee_3.5a-2_amd64.deb
  to main/l/levee/levee_3.5a-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 558604@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jari Aalto <jari.aalto@cante.net> (supplier of updated levee package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 23 Feb 2012 02:38:19 -0500
Source: levee
Binary: levee
Architecture: source amd64
Version: 3.5a-2
Distribution: unstable
Urgency: low
Maintainer: Jari Aalto <jari.aalto@cante.net>
Changed-By: Jari Aalto <jari.aalto@cante.net>
Description: 
 levee      - very small vi clone
Closes: 558604 643179
Changes: 
 levee (3.5a-2) unstable; urgency=low
 .
   * New maintainer. (Closes: #558604)
   * debian/copyright
     - Update to DEP5.
   * debian/levee.<name>
     - Rename files to plain <name>.
   * debian/menu
     - (Description): improve content.
   * debian/patches
     - Remove dpkg generated patch. Everything is already included in
       separate patches (Closes: #643179).
   * debian/compat
     - Update to 9.
   * debian/control
     - (Vcs-*): Move from Svn to Git.
     - (Build-Depends): debhelper 9, dpkg-dev 1.16.1.
     - (Depends): Add ${misc:Depends}.
     - (Description): Add more details (Lintian).
     - (Standards-Version): 3.9.2.
   * debian/{manpages,install}
     - New files.
   * debian/rules
     - Update to dh(1).
     - Use hardened CFLAGS.
       http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
   * debian/upstream.changelog
     - New file.
 .
   [tony mancill]
   * Add myself to Uploaders: in d/control.
Checksums-Sha1: 
 73c909c801c9c99d6f0153b5e107c7babf1abeef 1900 levee_3.5a-2.dsc
 10ec0311694989ec0dabc19dcb4c67442134b806 8941 levee_3.5a-2.debian.tar.gz
 c5b42b0658d5e9cb2805c5c4236cb37511c975b9 47966 levee_3.5a-2_amd64.deb
Checksums-Sha256: 
 832e6f31ba6964e39c487066489d670a84b2e397854ed4f27010df5ad0aa4543 1900 levee_3.5a-2.dsc
 b9b888c35554b40a719cfaa7238b734dfd26c929211f8f808640fb1b3a69d54f 8941 levee_3.5a-2.debian.tar.gz
 64bedfb6c2af7843481c71c87bca83b64c12eb55b2c434902fd9bd1b1e93941f 47966 levee_3.5a-2_amd64.deb
Files: 
 ceb51377ab4d1fdb27f218fc7c678ac3 1900 editors optional levee_3.5a-2.dsc
 9199b6f530e35eaed7825472bdc921e0 8941 editors optional levee_3.5a-2.debian.tar.gz
 f26cdc693f21d6aa7e4314c26d526df7 47966 editors optional levee_3.5a-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPRsymAAoJECHSBYmXSz6WdnQQAI6tuWAoDSgIbz6F3LxZTAS/
wKirYUGKndKlqo8s+7RDmu/vbs+e5Xt53MCij4JEEgTFFhFpE6IcPDfC+ozeet5h
TNcFKYqAFUvjhaPOQKwHyfNzzpaq6tn4XnlySJXdVO8tKYc/eVcTIAreRBA230dV
Djz7q3pRtEl/ohLpMdIQnyY1UpyRUHR2gl8Y+PnG9DFhwsQ9terNG7dJ4O6pye1O
S5JAXuys28I346L3EBTL7OLEQj0DOOAEhprVRxQ4B2O1ujGrUw9aSxCffntVL54R
AQTWcM+ioIe42VxTiGokPc6lv7LHDB9blEqd7bvoJv8+eSQLuE7fj7h1oCsIcspa
q9KsZ4q6CLKamuxzYXIDLetl3MNSPMBPX9FoPoJk3IT7TYE+VzR2obSS9PUGfI0e
sM19VNTtooby0zYhWCCjlWRLCIW+Iy+ZbRnYCQLVK58fYUw9M2NmPyB7BxoWTk6z
4e/+F2I1bOsVH67ZQuuw+umuxUjNWid4ze9hzYxSE11so/LdYczt8t55aXdVT8vj
8sNGTgJWLoYdmln5qZwL7CCj+16JNwBCGaju0EGIl3N2a86DzPLyU+/ow4ephUfd
qy1YmiJ+zbR+F5aA7gin+EreFDWUAjLM8zVGtscufeWHqU/8d4vu4AhjWpM+bwZO
5BYnco9UanjoCwa1xalD
=qbla
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Apr 2012 07:29:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:48:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.